<template>
  <div class="sidebar">
    <div class="sidebar-header">
      <h2>Menü</h2>
      <span @click="toggleSidebar" class="icon">
        <WindowCloseIcon></WindowCloseIcon>
      </span>
    </div>
    <div class="sidebar-content">
      <Menu @toggle-sidebar="toggleSidebar"></Menu>
    </div>
  </div>
  <div class="sidebar-overlay"></div>
</template>

<script>
import Menu from "./Menu";
import WindowCloseIcon from "vue-material-design-icons/WindowClose.vue"
import {ref} from "vue";
import useExercises from "../composables/useExercises";

export default {
  name: "Sidebar",
  components: {
    Menu,
    WindowCloseIcon
  },
  emits: ['toggleSidebar'],
  setup(props, { emit }) {

    const toggleSidebar = () => {
      emit("toggleSidebar")
    }
    return {
      toggleSidebar
    }
  }
}
</script>

<style scoped>

</style>